nbd_get_export_name(3)

NAME
nbd_get_export_name - get the export name

SYNOPSIS
 #include <libnbd.h>

 char * nbd_get_export_name (
          struct nbd_handle *h
        );

DESCRIPTION
Get the export name associated with the handle. This is the name that libnbd requests; see nbd_get_canonical_export_name(3) for determining if the server has a different canonical name for the given export (most common when requesting the default export name of an empty string "")

RETURN VALUE
This call returns a string. The caller must free the returned string to avoid a memory leak.

ERRORS
On error "NULL" is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.0.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_GET_EXPORT_NAME 1

SEE ALSO
nbd_connect_uri(3), nbd_create(3), nbd_get_canonical_export_name(3), nbd_set_export_name(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA